## com.TwentyCodes.android.SkyHook
Class Receiver

    java.lang.Object
      BroadcastReceiver
          com.TwentyCodes.android.SkyHook.Receiver

    public class Receiver

extends BroadcastReceiver

this class will be used to start the skyhook service and obtain a partial wake lock to prevent the phone from sleeping while we are getting the users location

Author:
  ricky barrette

Field Summary
`static int` `REQUEST_CODE`

Constructor Summary
`Receiver()`

Method Summary
`void` `onReceive(Context context, Intent intent)` (non-Javadoc)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_CODE

    public static final int REQUEST_CODE

See Also:
  Constant Field Values

Constructor Detail

### Receiver

    public Receiver()

Method Detail

### onReceive

    public void onReceive(Context context,
                          Intent intent)

  (non-Javadoc)

  Parameters:
    `context` -
    `intent` -
  See Also:
    `BroadcastReceiver`